Bug 443910 - keeps track of a few too many networks
keeps track of a few too many networks
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-23 22:30 EDT by Bill Nottingham
Modified: 2014-03-16 23:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:52:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
NM shows a lot of networks. A good chunk of those are 30 miles away from a six-hours gone bus trip. (43.35 KB, image/png)
2008-04-23 22:30 EDT, Bill Nottingham
no flags Details

  None (edit)
Description Bill Nottingham 2008-04-23 22:30:11 EDT
See attached screenshot.

While NM is showing this, 'iwlist wlan0 scan' yields:

wlan0     Scan completed :
          Cell 01 - Address: 00:19:E3:FA:F3:6C
                    ESSID:"The Home Network"
                    Mode:Master
...
          Cell 02 - Address: 00:13:10:A6:40:59
                    ESSID:"xenomorph"
                    Mode:Master
...
          Cell 03 - Address: 00:14:BF:EA:E4:94
                    ESSID:"linksys_SES_7619"
                    Mode:Master
...
          Cell 04 - Address: 00:12:17:C0:29:8C
                    ESSID:"3702"
                    Mode:Master
...
          Cell 05 - Address: 00:14:F1:61:44:80
                    ESSID:""
                    Mode:Master
...
          Cell 06 - Address: 00:0F:66:A4:0C:0C
                    ESSID:"NRFMLY_NETWORK"
                    Mode:Master
...
          Cell 07 - Address: 00:11:50:67:6F:3A
                    ESSID:""
                    Mode:Master
Comment 1 Bill Nottingham 2008-04-23 22:30:11 EDT
Created attachment 303565 [details]
NM shows a lot of networks. A good chunk of those are 30 miles away from a six-hours gone bus trip.
Comment 2 Bug Zapper 2008-05-14 06:02:48 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Dan Williams 2009-02-14 16:34:14 EST
Yeah; we need some optimization of the scan algorithm; they should have dropped off 6 minutes after they were last seen in a scan.
Comment 4 Niels Haase 2009-04-07 19:59:57 EDT
Reporter, are you still running Fedora 9, or have you upgraded to Fedora 1ß or Rawhide? In either case, can you let us know whether the issue is still happening, and give the current version of the kernel and NM packages you're using. Thank you.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 5 Bill Nottingham 2009-04-08 12:19:47 EDT
I'm running the beta now. I have not had a chance to be in a situation to reproduce this recently. (However, given comment #3, I would expect it may still apply.)
Comment 6 Niels Haase 2009-04-08 15:15:31 EDT
This bug has been triaged.

(In reply to comment #5)
> I'm running the beta now. I have not had a chance to be in a situation to
> reproduce this recently. (However, given comment #3, I would expect it may
> still apply.)  

Your right, I think Dan should check if the scan algorithm has changed so that founded networks will drop after 6 minutes after they were last seen in a scan. 


-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2009-06-09 20:23:32 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 13:52:07 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.